Subject: Re: bug#12997: Add some way to mark autoloads as obsolete

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 09 Jun 2022 17:05:23 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I may well be misunderstanding what you mean here, but if you
>
> ;;;###autoload
> (defun foo ()
>   (declare (obsolete nil "25.1"))
>
> then that obsoletion form also makes it into the loaddefs file, so this
> seems like it should already work?
>
> Or is this something that's been fixed in the decade since the bug
> report was opened?

This was a month ago, so I'm going to go ahead and guess that this works
fine now, and I'm closing this bug report.  If this bug report was about
something else, please respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no